SAVLIB from V7R1

15 pts.
Tags:
AS/400
SAVLIB
I did a savlib from V7R1 system using tgtrls V5R4M0. When I try and restore to the V5R4 system, it says file was saved from a more recent release of the operating system. Am I missing another parameter on either the save or restore?
0

Answer Wiki

Thanks. We'll let you know when a new response is added.
Send me notifications when members answer or reply to this question.

Discuss This Question: 5  Replies

 
There was an error processing your information. Please try again later.
Thanks. We'll let you know when a new response is added.
Send me notifications when members answer or reply to this question.
  • pdraebel
    The Objects You are saving must also be created for the V5R4M0 release. Files should be no issue, but programs have to be created with the target release in mind due to compiler differences. Certainly for a previous release this matters.
    7,545 pointsBadges:
    report
  • ToddN2000
    What do your SAVLIB and RSTLIB commands look like? It may be something small you over looked but it sounds like you did the right steps. Are you restoring to the same library or a different one?
    129,715 pointsBadges:
    report
  • kfrantish
    I am saving & restoring the same objects. The savlib is basic. Library, device, target release. Everything else is taking the default values from the V7R1 system. I then used a 3rd party software to create an image of the savlib from tape and then used the lodrun command on the V5R4 system. I will check with my programmer to see about the version her install programs are compiled at.
    15 pointsBadges:
    report
  • ToddN2000
    when it comes to moving programs and files over sometime you have to go back and recompile the source code on the system you are restoring to. The reason being it the release are to far apart there may be new command or built in functions that may not be supported. Then you can copy the data into the newly compiled files.
    129,715 pointsBadges:
    report
  • pdraebel
    As long as you can create the programs for Release V5R4 on the source machine there will be no problems. Compilation will fail when targeting an earlier release while using functions only available in the newer release. Program objects (DSPPGM) also show "Earliest Version Program Can run".
    7,545 pointsBadges:
    report

Forgot Password

No problem! Submit your e-mail address below. We'll send you an e-mail containing your password.

Your password has been sent to:

To follow this tag...

There was an error processing your information. Please try again later.

Thanks! We'll email you when relevant content is added and updated.

Following

Share this item with your network: